MKNOD(1)

NAME
mknod - Create the special file NAME of the given TYPE.

SYNOPSIS
mknod [-m|--mode] [-Z ] [--context] [-h|--help] [-V|--version] <NAME> <TYPE> [major] [minor]

DESCRIPTION
Create the special file NAME of the given TYPE.

OPTIONS

-m, --mode <MODE>
    set file permission bits to MODE, not a=rw - umask

-Z  set SELinux security context of each created directory to the default type

--context[=<CTX>]
    like -Z, or if CTX is specified then set the SELinux or SMACK security context to CTX

-h, --help
    Print help

-V, --version
    Print version

<NAME>
    name of the new file

<TYPE>
    type of the new file (b, c, u or p)

[major]
    major file type

[minor]
    minor file type

EXTRA
## Examples Create a block device: sudo mknod {{path/to/device_file}} b {{major_device_number}} {{minor_device_number}} Create a character device: sudo mknod {{path/to/device_file}} c {{major_device_number}} {{minor_device_number}} Create a FIFO (queue) device: sudo mknod {{path/to/device_file}} p Create a device file with default SELinux security context: sudo mknod {{[-Z|--context]}} {{path/to/device_file}} {{type}} {{major_device_number}} {{minor_device_number}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.9.0